import * as z from 'zod';
export const ServiceLineTransactionAggregateResultSchema = z.object({  _count: z.object({
    id: z.number(),
    paymentId: z.number(),
    serviceLineId: z.number(),
    transactionId: z.number(),
    paidAmount: z.number(),
    adjustedAmount: z.number(),
    method: z.number(),
    receivedDate: z.number(),
    payerName: z.number(),
    notes: z.number(),
    createdAt: z.number(),
    payment: z.number(),
    serviceLine: z.number()
  }).optional(),
  _sum: z.object({
    id: z.number().nullable(),
    paymentId: z.number().nullable(),
    serviceLineId: z.number().nullable(),
    paidAmount: z.number().nullable(),
    adjustedAmount: z.number().nullable()
  }).nullable().optional(),
  _avg: z.object({
    id: z.number().nullable(),
    paymentId: z.number().nullable(),
    serviceLineId: z.number().nullable(),
    paidAmount: z.number().nullable(),
    adjustedAmount: z.number().nullable()
  }).nullable().optional(),
  _min: z.object({
    id: z.number().int().nullable(),
    paymentId: z.number().int().nullable(),
    serviceLineId: z.number().int().nullable(),
    transactionId: z.string().nullable(),
    paidAmount: z.number().nullable(),
    adjustedAmount: z.number().nullable(),
    receivedDate: z.date().nullable(),
    payerName: z.string().nullable(),
    notes: z.string().nullable(),
    createdAt: z.date().nullable()
  }).nullable().optional(),
  _max: z.object({
    id: z.number().int().nullable(),
    paymentId: z.number().int().nullable(),
    serviceLineId: z.number().int().nullable(),
    transactionId: z.string().nullable(),
    paidAmount: z.number().nullable(),
    adjustedAmount: z.number().nullable(),
    receivedDate: z.date().nullable(),
    payerName: z.string().nullable(),
    notes: z.string().nullable(),
    createdAt: z.date().nullable()
  }).nullable().optional()});